Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	DVD authoring system	
Name:      	DVDStyler
Version:   	1.7.4
Release:   	1
License: 	GPL
Url:		http://dvdstyler.sourceforge.net	
Group:     	Video 
Source0: 	%{name}-%{version}_3.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	mkisofs
BuildRequires:  dvd+rw-tools
BuildRequires:  dvdauthor
BuildRequires:  libxml2-devel
BuildRequires:	mpgtx
BuildRequires:  xmlto

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: ffmpeg-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libexif-devel
BuildRequires: libgcc
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: wxGTK-devel
BuildRequires: wxsvg-devel
BuildRequires: zlib-devel

%description
DVDStyler is a cross-platform DVD authoring System. 


%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}_3

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

# install desktop integration file
#mkdir -p $RPM_BUILD_ROOT/usr/share/applications
#mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
#cp install.win32/dvdstyler.desktop $RPM_BUILD_ROOT/usr/share/applications
#cp src/rc/dvdstyler.png	$RPM_BUILD_ROOT/usr/share/pixmaps

%files
%defattr(-,root,root)
%{_bindir}/dvdstyler
%{_applications}/dvdstyler.desktop
%{_datadir}/doc/dvdstyler 
%{_datadir}/dvdstyler
%{_locale}/*/LC_MESSAGES/dvdstyler.mo
%{_mandir}/man1/dvdstyler.1.gz
%{_pixmaps}/dvdstyler.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.7.4-1
- Version update
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.1-1
- Version update
* Wed Aug 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5b5-1
- Initial Release
